.messageArea {
    flex: 1 1;
    overflow-y: auto;
    padding: 10px;
}
/* Works on Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: rgb(14, 14, 34) #efefef;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 10px; /* TODO: Ancho del scrollbar */
}
*::-webkit-scrollbar-track {
    /*background: rgb(240, 226, 200);*/
}

@media screen and (min-width: 500px) and (max-width: 800px) {
    *::-webkit-scrollbar-thumb {
        background-color: rgba(
            18,
            197,
            108,
            0.41
        ); /* TODO: Backgrond scrollbar */
    }
}

*::-webkit-scrollbar-thumb {
    background-color: rgb(116 110 110 / 73%); /* TODO: Backgrond scrollbar */
}

.messageArea:-webkit-scrollbar {
    width: 78px; /* Tamaño del scroll en vertical */

    height: 78px; /* Tamaño del scroll en horizontal */

    display: none; /* Ocultar scroll */
}
.chat {
    list-style: none;
    background: none;
    padding: 0;
    margin: 0;
    /* height: 356px; */
}

.chat li {
    color: white;
    padding: 2px;
    padding: 0.5rem;
    font-size: 0.86rem;
    overflow: hidden;

    display: flex;
}

ol ul {
    list-style-type: circle;
    margin-block-start: 0px;
    margin-block-end: 0px;
    margin-left: -25px;
}

.visitor {
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-box-align: end;
    -webkit-align-items: flex-end;
    -ms-flex-align: end;
    -ms-grid-row-align: flex-end;
    align-items: flex-end;
}

.visitor .msg {
    -webkit-box-ordinal-group: 2;
    -webkit-order: 1;
    -ms-flex-order: 1;
    order: 1;
    border-top-right-radius: 2px;
    background-color: #3cba89;
}

.chatbot .msg {
    color: rgb(16, 15, 15);
    /* font-weight: bold; */
    -webkit-box-ordinal-group: 2;
    -webkit-order: 1;
    -ms-flex-order: 1;
    order: 1;
    border-top-left-radius: 2px;
    background-color: #f1f2f3;
}

.msg {
    word-wrap: break-word;
    min-width: 10px;
    max-width: 80%;
    padding: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    background: #dae1e7;
}

.msg p {
    margin: 0 0 0.2rem 0;
    line-height: 1.4rem;
}

.msg .time {
    font-size: 0.7rem;
    color: #7d7b7b;
    margin-top: 3px;
    float: right;
    cursor: default;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}
